import {
    defineComposerConfig,
    defineComposerTests,
    defineComposer,
    defineComposerOptions,
    defineComposerChecks,
} from "./composer/config.js";
import { generateComposerInfo } from "./composer/execute.js";
import { categories } from "./composer/categories.js";

export {
    defineComposerConfig,
    generateComposerInfo,
    defineComposer,
    defineComposerTests,
    defineComposerOptions,
    defineComposerChecks,
    categories,
};

/** @typedef {import("@svelte-compose/ast-manipulation").CssAstEditor} CssAstEditor */
/** @typedef {import("@svelte-compose/ast-manipulation").HtmlAstEditor} HtmlAstEditor */
/** @typedef {import("@svelte-compose/ast-manipulation").JsAstEditor} JsAstEditor */
/** @typedef {import("@svelte-compose/ast-manipulation").SvelteAstEditor} SvelteAstEditor */
/** @typedef {import("./composer/config.js").ArgType} ArgType */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").ScriptFileEditorArgs<Args>} ScriptFileEditorArgs
 */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").JsonFileEditorArgs<Args>} JsonFileEditorArgs
 */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").TextFileEditorArgs<Args>} TextFileEditorArgs
 */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").HtmlFileEditorArgs<Args>} HtmlFileEditorArgs
 */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").CssFileEditorArgs<Args>} CssFileEditorArgs
 */
/**
 * @template {ArgType} Args
 * @typedef {import("./composer/config.js").SvelteFileEditorArgs<Args>} SvelteFileEditorArgs
 */
